# Changelog

All notable changes to this project will be documented in this file.

## [0.30] - 2023-08-22
- COMP-257: Added mail notification for new users on signup
- COMP-262: Changed text on the survey landing page
- Added download chart as CSV/PNG/SVG functionality to the reporting pages

## [0.29] - 2023-08-20
- More fixes to the survey model
- Fix small bugs in the progress bars
- Update the surveyjs version because it fixes a bug with the validation not jumping to the right question
- When editing the survey and clicking the back button now also gives a warning message if you stay on the survey website
- The conversion for prefill data now also includes data for the service matrix questions
- The next button is visible again to help with navigation
- The tooltips in the service matrix section are improved
- A completed survey can now not be saved anymore without validation

## [0.28] - 2023-08-16
- Added migration that updates all surveys to the fixed version
- Correctly handle read-only/edit mode (especially when user cannot edit)
- Updated survey description text

## [0.27] - 2023-08-15
- Added edit mode for surveys
- Fixed mistakes in survey titles and reordered service section
- Added initial CSV download button for compendium report pages
- Updated survey description text
- Changed user active default to true, so users only need to have an NREN added

## [0.26] - 2023-08-09
- Add toast messages when saving survey progress
- Changed application of styles to the survey through survey.css instead of manually applying classes
- Changed validation buttons to be added both on rerender and after a value has changed.
- Added back coloring of the question headers if there is a validation error

## [0.25] - 2023-08-07
- Update user management to work correctly, and update immediately on changes instead of an edit mode
- Removed duplicate modules in survey bundle
- Redirect to survey landing page when loading compendium-frontend in production mode

## [0.24] - 2023-08-03
- Add more information and links to the survey landing page
- Add error handling for surveys failing to load for various reasons in the frontend

## [0.23] - 2023-08-01
- Fix redirects when not logged in

## [0.22] - 2023-08-01
- COMP-232: Changed styling of the survey frontend
- Added simple admin user management page
- Added landing page for the survey
- Changed webpack setup to use webpack5 features for asset handling

## [0.21] - 2023-07-26
- Include missing frontend build artifact

## [0.20] - 2023-07-25
- Add WIP survey admin functionality
- Add simple login and navigation from reports page to the survey
- Fixed various bugs in the survey

## [0.19] - 2023-07-11
- Added survey functionality under new `/survey` route with a separate frontend from the compendium reports frontend
- Added authentication support for OIDC provider(s)
- Added survey question/data mapping & migration for 2022 survey

## [0.18] - 2023-05-31
- COMP-201 Funding Source UI
- adding axis scale 
- Font configuration fix
- funding source data 2021
- COMP-197 vertical header
- COMP-196 report link
- UI fix footer and collapse button
- COMP-195 title and description

## [0.17] - 2023-05-24
- COMP-184 Funding Source UI upgrade
- COMP-188 Nren Name correction
- COMP-186 Fixed Graph Size
- country to nren filterbo
- Fixing side bars and banner
- Collapsible box
- clean up

## [0.16] - 2023-05-17
- COMP-143 Policy Page UI changes 
- COMP-180 Year selection UI chnages

## [0.15] - 2023-05-16
- Added sentry SDK integration using SENTRY_DSN environment variable
- Added NREN policy data
- Changed layout of tables
- Fixed colors in charging mechanism table
- Refactor to use flask-sqlalchemy and flask-migrate

## [0.14] - 2023-05-03
- Added a navigation sidebar to Organization pages

## [0.13] - 2023-05-02
- Added the staff graph pages
- Updated the filter drop down boxes
- Added the organization table pages
- Added the EC projects table page
- Changed the charging mechanism page to use a table instead of a graph
- Code quality: updated the SQLalchemy models to 2.0 syntax

## [0.12] - 2023-04-18
- Added font-face definitions (obtained from Webpack output) to support open sans font with weight 600 in Firefox

## [0.11] - 2023-04-18
- Added filtering mechanism for NRENs and years
- Added footer
- Changed navigation header to match geant.org

## [0.10] - 2023-04-12
- Added first version of the charging mechanism page

## [0.9] - 2023-03-21
- Changed survey-publisher-2022 to function with newer sqlalchemy versions
- Changed fundingsource graph to be centered
- Added funding route to index.html
- Added /funding link under /compendiumdata

## [0.8] - 2023-03-21
- Updated frontend build artifact

## [0.7] - 2023-03-21
- Fix API call URL http -> https redirect bug
- Add survey-publisher-v1
- Add survey-publisher-2022
- Add funding sources API
- Add initial funding sources frontend work

## [0.6] - 2023-02-22
- API for budget data
- Initial processing of Budget data from survey DB into presentation DB
- Created new frontend that follows visual guide by Paul

## [0.5] - 2022-12-21
- Final layout (WIP)

## [0.4] - 2022-12-06


## [0.3] - 2022-12-06


## [0.2] - 2022-11-22
 - COMP-48: Added SQLAlchemy link to the survey database, including instructions to create the database locally
 - Added additional code validation tools

## [0.1] - 2022-11-07
- Initial skeleton - First Release
- COMP-2: Prototype Data only Service Matrix
- COMP-31: Baseline React routing structure
