import React from 'react';
import { useNavigate } from 'react-router-dom';
import { Container, Row, ButtonToolbar, Button } from 'react-bootstrap';
import { Sections } from '../helpers/constants';

interface inputProps {
    activeCategory: Sections
}

const SectionNavigation = ({ activeCategory }: inputProps) => {
    const navigate = useNavigate();
    return (
        <Container>
            <Row>
                <ButtonToolbar className="navbox-bar gap-2 m-3">
                    <Button
                        onClick={() => navigate(activeCategory === Sections.Organisation ? '.' : '/funding')}
                        variant={'nav-box'}
                        active={activeCategory === Sections.Organisation}>
                        <span>{Sections.Organisation}</span>
                    </Button>
                    <Button
                        onClick={() => navigate(activeCategory === Sections.Policy ? '.' : '/policy')}
                        variant={'nav-box'}
                        active={activeCategory === Sections.Policy}>
                        <span>{Sections.Policy}</span>
                    </Button>
                    <Button
                        onClick={() => navigate(activeCategory === Sections.ConnectedUsers ? '.' : '.')}
                        variant={'nav-box'}
                        active={activeCategory === Sections.ConnectedUsers}
                        disabled={true}>
                        <span>{Sections.ConnectedUsers}</span>
                    </Button>
                    <Button
                        onClick={() => navigate(activeCategory === Sections.Network ? '.' : '.')}
                        variant={'nav-box'}
                        active={activeCategory === Sections.Network}
                        disabled={true}>
                        <span>{Sections.Network}</span>
                    </Button>
                    <Button
                        onClick={() => navigate(activeCategory === Sections.Services ? '.' : '.')}
                        variant={'nav-box'}
                        active={activeCategory === Sections.Services}
                        disabled={true}>
                        <span>{Sections.Services}</span>
                    </Button>
                </ButtonToolbar>
            </Row>
        </Container>

    )
}

export default SectionNavigation