import React, { ReactElement } from "react";
import { Container, Row } from "react-bootstrap";
import SectionDataLogo from "../../images/home_data_icon.svg";


interface inputProps {
    type: string,
    children: ReactElement
}

function Banner({ children, type }: inputProps): ReactElement {
    let className = ''
    if (type == 'data') {
        className += ' compendium-data-banner'
    } else if (type == 'reports') {
        className = ' compendium-reports-banner'
    }
    return (
        <div className={className}>

            <Container>
                <Row>
                    <Row>
                        <div className="section-container">
                            <img src={SectionDataLogo} style={{ maxWidth: '7rem', marginBottom: '1rem' }} />
                            <div style={{ display: "flex", alignSelf: "right" }}>
                                <div className="center-text" style={{ paddingTop: '1rem' }}>
                                    {children}
                                </div>
                            </div>
                        </div>

                    </Row>

                </Row>
            </Container>
        </div>
    );
}

export default Banner;
