import React, { createContext, useRef, ReactNode, RefObject } from 'react';

const ChartContainerContext = createContext<RefObject<HTMLDivElement> | null>(null);

interface ChartContainerProviderProps {
    children: ReactNode;
}

const ChartContainerProvider: React.FC<ChartContainerProviderProps> = ({ children }) => {
    const chartContainerRef = useRef<HTMLDivElement>(null);

    return (
        <ChartContainerContext.Provider value={chartContainerRef}>
            {children}
        </ChartContainerContext.Provider>
    );
};

export { ChartContainerContext };
export default ChartContainerProvider;
