"""Add survey and response tables

Revision ID: 366171c7ba9e
Revises: 42a826af0431
Create Date: 2023-06-15 11:33:28.549679

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '366171c7ba9e'
down_revision = '42a826af0431'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        'survey',
        sa.Column('year', sa.Integer(), nullable=False),
        sa.Column('survey', sa.JSON(), nullable=False),
        sa.PrimaryKeyConstraint('year', name=op.f('pk_survey'))
    )
    op.create_table(
        'survey_response',
        sa.Column('nren_id', sa.Integer(), nullable=False),
        sa.Column('survey_year', sa.Integer(), nullable=False),
        sa.Column('answers', sa.JSON(), nullable=False),
        sa.ForeignKeyConstraint(['nren_id'], ['nren.id'], name=op.f('fk_survey_response_nren_id_nren')),
        sa.ForeignKeyConstraint(['survey_year'], ['survey.year'], name=op.f('fk_survey_response_survey_year_survey')),
        sa.PrimaryKeyConstraint('nren_id', 'survey_year', name=op.f('pk_survey_response'))
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('survey_response')
    op.drop_table('survey')
    # ### end Alembic commands ###
