from compendium_v2.db import db
from compendium_v2.db.survey_model import Survey, SurveyStatus
from compendium_v2.migrations.dump_survey_model import _cli


def test_dump_status_check(app_with_survey_db, mocker):

    with app_with_survey_db.app_context():
        db.session.add(Survey(year=2021, status=SurveyStatus.published, survey={}))
        db.session.add(Survey(year=2022, status=SurveyStatus.published, survey={}))
        db.session.commit()

    def _write_survey_model(survey, output_dir):
        assert survey.status == SurveyStatus.published
        assert survey.year == 2022

    mocker.patch('compendium_v2.migrations.dump_survey_model._write_survey_model', _write_survey_model)

    _cli(app_with_survey_db, None)
